## mumps 4.9.2.dfsg

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  This file is part of MUMPS 4.8.4, built on Mon Dec 15 15:31:38 UTC 2008
+#  This file is part of MUMPS 4.9.2, built on Thu Nov  5 07:05:08 UTC 2009
 #
 topdir = .
 libdir = $(topdir)/lib
