=== src/Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 #
-#  This file is part of MUMPS 4.8.4, built on Mon Dec 15 15:31:38 UTC 2008
+#  This file is part of MUMPS 4.9.2, built on Thu Nov  5 07:05:08 UTC 2009
 #
 topdir = ..
 libdir = $(topdir)/lib
@@ -27,11 +27,13 @@
         mumps_common.o\
         mumps_ooc_common.o\
         mumps_orderings.o\
+        mumps_size.o\
         mumps_io.o\
         mumps_io_basic.o\
         mumps_io_thread.o\
         mumps_io_err.o\
-        mumps_static_mapping.o
+        mumps_static_mapping.o \
+	tools_common_mod.o
 
 OBJS = 	$(ARITH)mumps_part1.o\
         $(ARITH)mumps_part2.o\
@@ -79,17 +81,19 @@
 			$(ARITH)mumps_ooc.o
 
 $(ARITH)mumps_part5.o:	mumps_static_mapping.o
+$(ARITH)mumps_part5.o:	$(ARITH)mumps_part2.o
 
+$(ARITH)mumps_part2.o : tools_common_mod.o
 
 .SUFFIXES: .c .F .o
 .F.o:
-	$(FC) $(OPTF) $(INC) $(ORDERINGSF) -I. -I../include -c $*.F
+	$(FC) $(OPTF) $(INC) $(IORDERINGSF) $(ORDERINGSF) -I. -I../include -c $*.F
 .c.o:
-	$(CC) $(OPTC) $(INC) -I../include $(CDEFS) $(IORDERINGS) $(ORDERINGSC) -c $*.c
+	$(CC) $(OPTC) $(INC) -I../include $(CDEFS) $(IORDERINGSC) $(ORDERINGSC) -c $*.c
 
 $(ARITH)mumps_c.o:	mumps_c.c
 	$(CC) $(OPTC) $(INC) $(CDEFS) -DMUMPS_ARITH=MUMPS_ARITH_$(ARITH) \
-	      $(IORDERINGS) $(ORDERINGSC) -I../include -c $? -o $@
+	      $(IORDERINGSC) $(ORDERINGSC) -I../include -c $? -o $@
 
 
 clean:
