=== PORD/lib/Makefile ===
--- 
+++ 
@@ -19,10 +19,10 @@
 # original SPACE package.
 
 .c.o:
-	$(CC) $(COPTIONS) -c $*.c
+	$(CC) $(COPTIONS) -c $*.c $(OUTC)$*.o
 
-libpord.a:	$(OBJS)
-	$(AR) $(ARFUNCT) $@ $(OBJS)
+libpord$(LIBEXT):$(OBJS)
+	$(AR)$@ $(OBJS)
 	$(RANLIB) $@
 
 clean:
