=== debian/changelog ===
mumps (4.10.0.dfsg-4) unstable; urgency=medium

  * Team upload.
  * Stop calling directly quilt, drop build-dep.
  * Run wrap-and-sort.
  * Fix FTBFS with openmpi 1.10.  Closes: #813791
  * Remove debian/README.source as now useless.
  * Bump debhelper compat level to 9 and use the dh sequencer.
  * Bump Standards-Version to 3.9.7, no changes needed.
  * Canonicalize Vcs-* fields, use https.
  * Use copyright-format 1.0 as finalized.

 -- Mattia Rizzolo <mattia@debian.org>  Sat, 06 Feb 2016 18:44:41 +0000

mumps (4.10.0.dfsg-3) unstable; urgency=low

  * Added quilt to Build-Depends, seems to be necessary after all.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 30 Dec 2011 13:18:36 -0500

mumps (4.10.0.dfsg-2) unstable; urgency=low

  * Using debhelper quilt commands in clean and build-arch (closes: #653032).
  * Removed unnecessary quilt Build-Dependency.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Fri, 23 Dec 2011 10:32:40 -0500

mumps (4.10.0.dfsg-1) unstable; urgency=low

  * New upstream (closes: #652909).
  * Rebuild with new mpi-defaults (closes: #652314).
  * Forward-ported patches, removed now-obsolete tests-shlibs.patch, and added
    a new patch to link examples to MPI libs properly.
  * Forward-ported debian/Makefile.*.inc files.
  * Re-engineered dependencies around specific needs of each library rather
    than the over-arching $(LIB) library set.
  * Removed LAPACK dependencies, -scotch and -seq packages' ScaLAPACK and MPI
    dependencies.
  * Removed patch debian/rules target, added (empty) build-indep target, and
    completed clean target.
  * Bumped Standards-Version.
  * Changed to debian-science-maintainers maintenance with me as uploader.

 -- "Adam C. Powell, IV" <hazelsct@debian.org>  Thu, 22 Dec 2011 09:56:46 -0500
